PETSc version 3.15.5
Fix/Edit manual page

# PCGAMGSetNlevels

Sets the maximum number of levels PCGAMG will use

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetNlevels(PC pc, PetscInt n)

Not collective on PC

### Input Parameters

| pc | - the preconditioner
| n | - the maximum number of levels to use

### Options Database Key

| -pc_mg_levels

### See Also

()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetNlevels_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages